Loading...
Searching...
No Matches
count_bits.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <cstdint>`
Include dependency graph for count_bits.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Functions

BLOCKS_API unsigned int | gr::blocks::count_bits8 (unsigned int x)
| return number of set bits in the low 8 bits of x
BLOCKS_API unsigned int | gr::blocks::count_bits16 (unsigned int x)
| return number of set bits in the low 16 bits of x
BLOCKS_API unsigned int | gr::blocks::count_bits32 (unsigned int x)
| return number of set bits in the low 32 bits of x
BLOCKS_API unsigned int | gr::blocks::count_bits64 (uint64_t x)
| return number of set bits in a 64-bit word